@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

html, body {
    height: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.button-link {
    text-decoration: unset;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.title {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    padding-bottom: 0.625rem;
}

    .title.title-secondary {
        padding-top: 0.313rem;
        padding-bottom: 0;
        color: var(--bs-secondary-color);
    }

.title-header-text {
    font-size: 2.5rem;
    line-height: 3rem;
    font-weight: 600;
    letter-spacing: 0rem;
    padding: 0.3125rem 0;
}

.title-content-text {
    font-size: 1.75rem;
    font-weight: 400;
    line-height: 2.5rem;
    letter-spacing: 0rem;
}

.main-content {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
}

.block-content {
    width: 31.25rem;
    height: auto;
    display: flex;
    flex-direction: column;
    gap: 0.625rem;
    max-width: 100%;
}


.or {
    display: flex;
    flex-direction: row;
    align-items: center;
}

    .or .or-line {
        border-bottom: 1px solid var(--bs-body-color);
        width: 100%;
        opacity: 0.2;
    }

    .or .or-text {
        padding: 0 0.625rem 0px 0.625rem;
        font-size: 0.75rem;
        line-height: 1.125rem;
        color: var(--bs-body-color);
        opacity: 0.7;
    }

.links-area {
    display: flex;
    flex-direction: column;
    gap: 0.625rem;
    padding-top: 0.625rem;
}

.links-container {
    display: flex;
    gap: 0.25rem;
    justify-content: center;
    align-items: center;
}

    .links-container .dot {
        height: 0.3125rem;
        width: 0.3125rem;
        margin: 0 0.1875rem;
        border-radius: 50%;
        background-color: var(--bs-body-color);
        opacity: 0.7;
    }

.manage-layout {
    display: flex;
    flex-direction: column;
    gap: 0.625rem;
}

.info-message::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0.15;
    background: var(--bs-primary);
    z-index: -1;
}

.info-message {
    padding: 0.625rem 1rem 0.625rem 1rem;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

    .info-message.info-panel {
        margin-bottom: 0.625rem;
    }

.manage-content {
    display: flex;
    flex-direction: column;
    gap: 0.625rem;
}

.large-input {
    height: 4.3125rem;
    font-size: 1.875rem;
}

.title-content-text-secondary {
    font-size: 1.25rem;
    line-height: 1.75rem;
}

.button-group {
    display: flex;
    flex-direction: row;
    gap: 0.625rem;
}

.confirm-button {
    margin-top: 0.3125rem;
}

.display-desktop {
    display: block;
}

.display-mobile {
    display: none;
}

.icon-external-provider {
    width: 1rem;
    height: 1rem;
}

.icon-google {
    background-image: url("/images/account/providers/google-logo.svg")
}

.icon-facebook {
    background-image: url("/images/account/providers/facebook-logo.svg")
}

.icon-microsoft {
    background-image: url("/images/account/providers/microsoft-logo.svg")
}

.icon-twitter {
    background-image: url("/images/account/providers/x-logo.svg")
}

@media (max-width: 768px) {
    .display-desktop {
        display: none;
    }

    .display-mobile {
        display: block;
    }
}

.dxbl-grid {
    height: 522px;
}

.highlighted-item > td {
    background-color: var(--bs-danger-border-subtle)
}

    .highlighted-item > td:first-child {
        background-color: transparent;
    }
.selected-link {
    color: white !important;
}
.fnt-14{
    font-size:14px;
}

.custom-drop-zone {
    padding: 0 !important;
    border-style: dashed !important;
    border-width: 2px !important;
    height: 150px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

    .custom-drop-zone svg {
        width: 42px;
        height: 42px;
    }

.drop-file-icon {
    background-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    background-position: center center;
    background-color: currentColor;
    width: 48px;
    height: 48px;
    -webkit-mask-image: url("../images/icons/drop-file.svg");
    mask-image: url("../images/icons/drop-file.svg");
}

.upload-container,
.upload-container > div:first-child {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
}


.drop-file-label {
    font-weight: 500;
    font-size: 1rem;
}

.cell-highlighted-item {
    background-color: #ffe082 !important; /* Light yellow, or any color you prefer */
    color: #000 !important;
}
.dxbl-grid-322 {
    height: 322px !important;
}
.dxbl-grid-222 {
    height: 222px !important;
}
.dxbl-grid-152 {
    height: 152px !important;
}

.top-nav {
    /*display: flex;
    align-items: center;
    background: #f8f9fa;
    padding: 0.5rem 1rem;*/
    position: fixed;
    width:100% !important;
    top: 0;
    z-index: 1000;
    background: #fff; /* or your preferred background */
    box-shadow: 0 2px 4px rgb(0 0 0 / 17%);
}

.nav-buttons-container {
    display: flex;
    align-items: center;
    width: 100%;
    padding: 0 !important;
}
.dxbl-menu-item .dxbl-btn {
    padding: 4px 12px !important;
    margin-top: 10px !important;
}
.flex-spacer {
    flex: 1 1 auto;
}

.top-footer {
    margin-top: 2rem;
    padding: 1rem;
    background: #f8f9fa;
    text-align: right;
}
.menu.top-menu {
    margin-bottom: 1rem;
}

    .menu.top-menu .menu-item {
        margin-right: 1rem;
    }
.dxbs-menu {
    z-index: 1050 !important;
}

.top-nav, .nav-buttons-container, .menu.top-menu {
    overflow: visible !important;
}



html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

body {
    overflow-y: auto;
}

.dxbl-grid-152, .demo-form-layout, .w-100 {
    overflow: visible !important;
    height: auto !important;
    max-height: none !important;
}

.grid-btn-link{
    padding-left: 4px !important;
    padding-right: 4px !important;
}
.pdf-viewer {
    width: 100%;
    height: 900px !important;
}
/* Only highlight if NOT focused and NOT hovered */
.invpaid-yellow:not(.dxbl-grid-focused-row):not(:hover) {
    background-color: #fff9c4 !important; /* light yellow */
    color: #000 !important;
}

.invpaid-green:not(.dxbl-grid-focused-row):not(:hover) {
    background-color: #c8e6c9 !important; /* light green */
    color: #000 !important;
}

.invpaid-red:not(.dxbl-grid-focused-row):not(:hover) {
    background-color: #ec9f9f !important; /* light yellow */
    color: #000 !important;
}

.welcome-card {
    height: 10rem !important;
    gap: 0.1rem !important;
}